<!DOCTYPE html>
<html>
<head>
    <style>
        table {
            width: 100%;
            border: 2px solid rgba(196, 54, 20, 1);
            border-collapse: collapse;
        }

        table, td, th {
        / / border: 2 px solid rgba(196, 54, 20, 1);
            text-align: center;
            padding: 10px;
        }

        thead {
            border: 1px solid rgba(196, 54, 20, 1);
        }

        th {
            height: 75px;
            background-color: #dddddd;
        }
    </style>
</head>
<body>

<?php

$con = mysqli_connect('localhost', 'user1', '#user@passWord@58');
if (!$con) {
    die('Could not connect: ' . mysqli_error($con));
}

mysqli_select_db($con, "surveys");
$sql = "SELECT analytics.id, analytics.name, analytics.jobtitle, analytics.affiliation, analytics.timetaken, analytics.firstaction, analytics.totalclicks, analytics.date, survey.ease, survey.experience, survey.recommend ";
$sql .= "FROM analytics LEFT JOIN survey ON analytics.sessionID = survey.id AND analytics.name = survey.type";
$result = mysqli_query($con, $sql);

echo "<table id='anyl_table' class='sortable'>
<thead><tr>
<th id='idTab'>Id</th>
<th>Analytic Type</th>
<th>Job Title</th>
<th>Position</th>
<th>Time Taken (ms)</th>
<th>First Action (ms)</th>
<th>Total Clicks</th>
<th>Date</th>
<th>Ease</th>
<th>Experience</th>
<th>Recommend</th>
</tr></thead><tbody>";
while ($row = mysqli_fetch_array($result)) {
    echo "<tr>";
    echo "<td>" . $row['id'] . "</td>";
    echo "<td>" . $row['name'] . "</td>";
    echo "<td>" . $row['jobtitle'] . "</td>";
    echo "<td>" . $row['affiliation'] . "</td>";
    echo "<td>" . $row['timetaken'] . "</td>";
    echo "<td>" . $row['firstaction'] . "</td>";
    echo "<td>" . $row['totalclicks'] . "</td>";
    echo "<td>" . $row['date'] . "</td>";
    echo "<td>" . $row['ease'] . "</td>";
    echo "<td>" . $row['experience'] . "</td>";
    echo "<td>" . $row['recommend'] . "</td>";
    echo "</tr>";
}
echo "</tbody></table>";
mysqli_close($con);
?>
</body>
</html>
