<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN"
        "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html lang="en" xmlns="http://www.w3.org/1999/xhtml" xml:lang="en">
<head>
    <meta http-equiv="content-type" content="text/html; charset=utf-8">
    <meta http-equiv="Cache-Control" content="no-cache, must-revalidate">
    <script src="https://ajax.googleapis.com/ajax/libs/jquery/3.2.1/jquery.min.js"></script>
    <title></title>

    <meta http-equiv="Content-Type" content="text/html; charset=UTF-8">
    <!-- Define the initial scale to 100% and don't let the user zoom out any further. -->
    <meta name="viewport" content="initial-scale=1.0, minimum-scale=1.0">
    <!-- Specify that Internet Explorer should run in standards mode. -->
    <meta http-equiv="X-UA-Compatible" content="IE=Edge">

    <link rel="stylesheet" href="/assets/main.css">
    <link rel="stylesheet" href="/assets/header.css">
    <script src="/auth.analytics.js"></script>
    <meta name="anyl_name" content="yubikey">
    <meta name="anyl_version" content="1.0.1">

    <style>
        .tooltip {
            display: none;
            position: absolute;
            border: 1px solid #333;
            background-color: #161616;
            border-radius: 5px;
            padding: 10px;
            color: #fff;
            font-size: 12px Arial;
        }
    </style>
    <script type="text/javascript">
        $(document).ready(function () {
// Tooltip only Text
            $('.masterTooltip').hover(function () {
                // Hover over code
                var title = $(this).prop('title');

                $(this).data('tipText', title).removeAttr('title');
                $('<p class="tooltip"></p>')
                    .text("For PC, the first time you use the Yubikey, wait until Windows has detected the device. For Mac OS X, choose any keyboard to use. Make sure that the touch-button shines with a steady light.\n Place the input cursor in the Yubikey input field.")
                    .appendTo('body')
                    .fadeIn('slow');
            }, function () {
                // Hover out code
                //$(this).attr('title', $(this).data('tipText'));
                $('.tooltip').remove();
            }).mousemove(function (e) {
                var mousex = e.pageX + 20; //Get X coordinates
                var mousey = e.pageY + 10; //Get Y coordinates
                $('.tooltip')
                    .css({top: mousey, left: mousex})
            });
        });
    </script>

</head>
<body class="ui-mobile-viewport ui-overlay-c"
      style="margin: 0px; font-family: Arial, 'Helvetica Neue', Helvetica, sans-serif;">
<div id="container" class="page-background ui-page ui-body-c ui-page-active" data-role="page" data-url="container"
     tabindex="0" style="text-align: center;">
    <div id="container-header" data-role="header" class="header-bar ui-header ui-bar-a" role="banner">
        <div class="brand-big-logo"></div>
        <div class="brand-small-logo"></div>
        <div class="cws-big-logo"><strong>Yubikey Authentication</strong></div>
        <div class="cws-small-logo"><strong>Yubi</strong></div>
        <div class="heading-button-container">
        </div>
    </div>

    <div id="header-graphic" class="header-graphic"></div>
</div>
<div id="stripe">
    &nbsp;
</div>
<div id="container">
    <div id="logoArea" style="max-width: 80%; margin-left: 10%;">

        <?php include 'authenticate.php';

        if ($authenticated == 0) { ?>
            <div id="bottomContent" style="text-align: center;">
                <h1 class="ok" style="font-size: 50px;">
                    Congratulations <?php if ($realname) {
                        print "$realname!";
                    } ?></h1>
                <p>You have been successfully authenticated with the YubiKey.</p>
                <br/><br/>
                <p>&raquo; <a href="/setup/randomMethod.php" data-anyl-complete>Continue</a></p>
                <br/><br/><br/><br/><br/>
            </div>

        <?php } else { ?>

            <ol type="1" style="max-width: 60%; margin-left: 20%;" id="bottomContent">
                <li>Insert Yubikey in the USB-port with the gold circle facing
                    upward. If on mobile, tap Yubikey on the back.
                    <img src="question.png" height="13px" class="masterTooltip"
                         title="For PC, the first time you use the Yubikey, wait until
							Windows has detected the device.</br>For Mac OS X, choose any keyboard to
							use. Make sure that the touch-button shines with a steady light.</br>
							Place the input cursor in the Yubikey input field."/>
                </li>
                </br>
                <li>Place your fingertip on the gold button, and hold for a second</li>
                </br>
            </ol>

            <form name="login" method="post"
                  style="border: 1px solid #e5e5e5; background-color: #f1f1f1; padding: 10px; margin: 0px; font-size:12px;"
                  onSubmit="key.value = (key.value).toLowerCase(); return true;">
                <table border="0" cellspacing="0" cellpadding="0" width="99%">
                    <tr>
                        <td>
                            <input style="width: 100%;" autocomplete="off" type="text" name="key" class="yubiKeyInput">
                        </td>
                    </tr>
                </table>
            </form>

            <?php if ($authenticated > 0) { ?>
                </br>
                <div width="100%" style="text-align: center; font-size: 20pt">
                    <strong class="fail">Login failure, please try again.</strong>
                </div>
            <?php } ?>
            </br>
            <p style="margin-left: 10%;">&raquo; <a href="http://www.yubico.com/">For more information please visit
                    Yubico.com</a></p>

        <?php } ?>

    </div>
</body>

</html>

