CREATE DATABASE surveys;
USE surveys;
CREATE TABLE comments (id INT NOT NULL AUTO_INCREMENT, PRIMARY KEY (id), comment TEXT);
CREATE TABLE email (id INT NOT NULL AUTO_INCREMENT, PRIMARY KEY (id), email_address TEXT);
CREATE TABLE analytics (id INT NOT NULL AUTO_INCREMENT, PRIMARY KEY (id),
			sessionID VARCHAR(64), 
			name VARCHAR(32),
			jobtitle VARCHAR(50),
			affiliation VARCHAR(50),
			version VARCHAR(16),
			timetaken INT,
			firstaction INT,
			totalclicks INT,
			interactions VARCHAR(255),
			timestamps VARCHAR(255),
			date TIMESTAMP NOT NULL DEFAULT CURRENT_TIMESTAMP);
CREATE TABLE survey(id VARCHAR(64), taype VARCHAR(64) NOT NULL, ease INT, experience INT, recommend TEXT);
