<!DOCTYPE html>
<html>
<head>
    <style>
        .hidden {
            display: none;
        }
    </style>
</head>
<body>

<?php

$con = mysqli_connect('localhost', 'user1', '#user@passWord@58');
if (!$con) {
    die('Could not connect: ' . mysqli_error($con));
}

function doSQL($conn, $sql)
{
    $result = mysqli_query($conn, $sql);
    mysqli_data_seek($result, 0);
    $result = mysqli_fetch_row($result);
    return $result[0];
}

// Clicks - Method
mysqli_select_db($con, "surveys");

$yubikey = doSQL($con, "SELECT AVG(analytics.totalclicks) FROM analytics WHERE analytics.name='yubikey' AND NOT analytics.totalclicks='-1'");
$onetimepass = doSQL($con, "SELECT AVG(analytics.totalclicks) FROM analytics WHERE analytics.name='one-time-password' AND NOT analytics.totalclicks='-1'");
$password = doSQL($con, "SELECT AVG(analytics.totalclicks) FROM analytics WHERE analytics.name='password' AND NOT analytics.totalclicks='-1'");
$facial = doSQL($con, "SELECT AVG(analytics.totalclicks) FROM analytics WHERE analytics.name='facial' AND NOT analytics.totalclicks='-1'");
$fingerprint = doSQL($con, "SELECT AVG(analytics.totalclicks) FROM analytics WHERE analytics.name='fingerprint' AND NOT analytics.totalclicks='-1'");

echo "<div class='hidden' id='yubikey_avg'>" . $yubikey . "</div>";
echo "<div class='hidden' id='one-time-password_avg'>" . $onetimepass . "</div>";
echo "<div class='hidden' id='password_avg'>" . $password . "</div>";
echo "<div class='hidden' id='facial_avg'>" . $facial . "</div>";
echo "<div class='hidden' id='fingerprint_avg'>" . $fingerprint . "</div>";

// Time - Method
$yubikey = doSQL($con, "SELECT AVG(analytics.timetaken) FROM analytics WHERE analytics.name='yubikey' AND NOT analytics.timetaken='-1'");
$onetimepass = doSQL($con, "SELECT AVG(analytics.timetaken) FROM analytics WHERE analytics.name='one-time-password' AND NOT analytics.timetaken='-1'");
$password = doSQL($con, "SELECT AVG(analytics.timetaken) FROM analytics WHERE analytics.name='password' AND NOT analytics.timetaken='-1'");
$facial = doSQL($con, "SELECT AVG(analytics.timetaken) FROM analytics WHERE analytics.name='facial' AND NOT analytics.timetaken='-1'");
$fingerprint = doSQL($con, "SELECT AVG(analytics.timetaken) FROM analytics WHERE analytics.name='fingerprint' AND NOT analytics.timetaken='-1'");

echo "<div class='hidden' id='yubikey_time'>" . $yubikey . "</div>";
echo "<div class='hidden' id='one-time-password_time'>" . $onetimepass . "</div>";
echo "<div class='hidden' id='password_time'>" . $password . "</div>";
echo "<div class='hidden' id='facial_time'>" . $facial . "</div>";
echo "<div class='hidden' id='fingerprint_time'>" . $fingerprint . "</div>";

// Ease - Method
$yubikey = doSQL($con, "SELECT AVG(survey.ease) FROM survey WHERE survey.type = 'yubikey'");
$onetimepass = doSQL($con, "SELECT AVG(survey.ease) FROM survey WHERE survey.type = 'one-time-password'");
$password = doSQL($con, "SELECT AVG(survey.ease) FROM survey WHERE survey.type = 'password'");
$facial = doSQL($con, "SELECT AVG(survey.ease) FROM survey WHERE survey.type = 'facial'");
$fingerprint = doSQL($con, "SELECT AVG(survey.ease) FROM survey WHERE survey.type = 'fingerprint'");

echo "<div class='hidden' id='yubikey_ez'>" . $yubikey . "</div>";
echo "<div class='hidden' id='one-time-password_ez'>" . $onetimepass . "</div>";
echo "<div class='hidden' id='password_ez'>" . $password . "</div>";
echo "<div class='hidden' id='facial_ez'>" . $facial . "</div>";
echo "<div class='hidden' id='fingerprint_ez'>" . $fingerprint . "</div>";

// Exp - Method
$yubikey = doSQL($con, "SELECT AVG(survey.experience) FROM survey WHERE survey.type = 'yubikey'");
$onetimepass = doSQL($con, "SELECT AVG(survey.experience) FROM survey WHERE survey.type = 'one-time-password'");
$password = doSQL($con, "SELECT AVG(survey.experience) FROM survey WHERE survey.type = 'password'");
$facial = doSQL($con, "SELECT AVG(survey.experience) FROM survey WHERE survey.type = 'facial'");
$fingerprint = doSQL($con, "SELECT AVG(survey.experience) FROM survey WHERE survey.type = 'fingerprint'");

echo "<div class='hidden' id='yubikey_exp'>" . $yubikey . "</div>";
echo "<div class='hidden' id='one-time-password_exp'>" . $onetimepass . "</div>";
echo "<div class='hidden' id='password_exp'>" . $password . "</div>";
echo "<div class='hidden' id='facial_exp'>" . $facial . "</div>";
echo "<div class='hidden' id='fingerprint_exp'>" . $fingerprint . "</div>";

// Clicks - Affiliation
$empl = doSQL($con, "SELECT AVG(analytics.totalclicks) FROM analytics WHERE analytics.affiliation='EMPLOYEE'");
$cust = doSQL($con, "SELECT AVG(analytics.totalclicks) FROM analytics WHERE analytics.affiliation='CUSTOMER'");
$deal = doSQL($con, "SELECT AVG(analytics.totalclicks) FROM analytics WHERE analytics.name='DEALER'");
$supp = doSQL($con, "SELECT AVG(analytics.totalclicks) FROM analytics WHERE analytics.name='SUPPLIER'");
$none = doSQL($con, "SELECT AVG(analytics.totalclicks) FROM analytics WHERE analytics.affiliation = 'NO AFFILIATION' OR analytics.affiliation = 'NO+AFFILIATION' OR analytics.affiliation = 'NONE'");

echo "<div class='hidden' id='employee_avg'>" . $empl . "</div>";
echo "<div class='hidden' id='customer_avg'>" . $cust . "</div>";
echo "<div class='hidden' id='dealer_avg'>" . $deal . "</div>";
echo "<div class='hidden' id='supplier_avg'>" . $supp . "</div>";
echo "<div class='hidden' id='none_avg'>" . $none . "</div>";

// Time - Affiliation
$empl = doSQL($con, "SELECT AVG(analytics.timetaken) FROM analytics WHERE analytics.affiliation='EMPLOYEE'");
$cust = doSQL($con, "SELECT AVG(analytics.timetaken) FROM analytics WHERE analytics.affiliation='CUSTOMER'");
$deal = doSQL($con, "SELECT AVG(analytics.timetaken) FROM analytics WHERE analytics.name='DEALER'");
$supp = doSQL($con, "SELECT AVG(analytics.timetaken) FROM analytics WHERE analytics.name='SUPPLIER'");
$none = doSQL($con, "SELECT AVG(analytics.timetaken) FROM analytics WHERE analytics.affiliation = 'NO AFFILIATION' OR analytics.affiliation = 'NO+AFFILIATION' OR analytics.affiliation = 'NONE'");

echo "<div class='hidden' id='employee_time'>" . $empl . "</div>";
echo "<div class='hidden' id='customer_time'>" . $cust . "</div>";
echo "<div class='hidden' id='dealer_time'>" . $deal . "</div>";
echo "<div class='hidden' id='supplier_time'>" . $supp . "</div>";
echo "<div class='hidden' id='none_time'>" . $none . "</div>";

// Ease - Method
$empl = doSQL($con, "SELECT AVG(survey.ease) FROM survey WHERE survey.id IN (SELECT analytics.sessionID FROM analytics WHERE analytics.affiliation = 'EMPLOYEE')");
$cust = doSQL($con, "SELECT AVG(survey.ease) FROM survey WHERE survey.id IN (SELECT analytics.sessionID FROM analytics WHERE analytics.affiliation = 'CUSTOMER')");
$deal = doSQL($con, "SELECT AVG(survey.ease) FROM survey WHERE survey.id IN (SELECT analytics.sessionID FROM analytics WHERE analytics.affiliation = 'DEALER')");
$supp = doSQL($con, "SELECT AVG(survey.ease) FROM survey WHERE survey.id IN (SELECT analytics.sessionID FROM analytics WHERE analytics.affiliation = 'SUPPLIER')");
$none = doSQL($con, "SELECT AVG(survey.ease) FROM survey WHERE survey.id IN (SELECT analytics.sessionID FROM analytics WHERE analytics.affiliation = 'NO AFFILIATION' OR analytics.affiliation = 'NO+AFFILIATION' OR analytics.affiliation = 'NONE')");

echo "<div class='hidden' id='employee_ez'>" . $empl . "</div>";
echo "<div class='hidden' id='customer_ez'>" . $cust . "</div>";
echo "<div class='hidden' id='dealer_ez'>" . $deal . "</div>";
echo "<div class='hidden' id='supplier_ez'>" . $supp . "</div>";
echo "<div class='hidden' id='none_ez'>" . $none . "</div>";

// Experience - Method
$empl = doSQL($con, "SELECT AVG(survey.experience) FROM survey WHERE survey.id IN (SELECT analytics.sessionID FROM analytics WHERE analytics.affiliation = 'EMPLOYEE')");
$cust = doSQL($con, "SELECT AVG(survey.experience) FROM survey WHERE survey.id IN (SELECT analytics.sessionID FROM analytics WHERE analytics.affiliation = 'CUSTOMER')");
$deal = doSQL($con, "SELECT AVG(survey.experience) FROM survey WHERE survey.id IN (SELECT analytics.sessionID FROM analytics WHERE analytics.affiliation = 'DEALER')");
$supp = doSQL($con, "SELECT AVG(survey.experience) FROM survey WHERE survey.id IN (SELECT analytics.sessionID FROM analytics WHERE analytics.affiliation = 'SUPPLIER')");
$none = doSQL($con, "SELECT AVG(survey.experience) FROM survey WHERE survey.id IN (SELECT analytics.sessionID FROM analytics WHERE analytics.affiliation = 'NO AFFILIATION' OR analytics.affiliation = 'NO+AFFILIATION' OR analytics.affiliation = 'NONE')");

echo "<div class='hidden' id='employee_exp'>" . $empl . "</div>";
echo "<div class='hidden' id='customer_exp'>" . $cust . "</div>";
echo "<div class='hidden' id='dealer_exp'>" . $deal . "</div>";
echo "<div class='hidden' id='supplier_exp'>" . $supp . "</div>";
echo "<div class='hidden' id='none_exp'>" . $none . "</div>";

mysqli_close($con);
?>
</body>
</html>
