<?php
$servername = "localhost";
$username = "user1";
$password = "#user@passWord@58";
$dbname = "surveys";

$name = $_POST["name"];
$version = $_POST["version"];
$timeTaken = $_POST["timeTaken"];
$firstAction = $_POST["firstAction"];
$totalClicks = $_POST["totalClicks"];
$metrics = implode(",", $_POST["metrics"]);
$metricInits = implode(",", $_POST["metricInits"]);
$jobtitle = $_POST["jobtitle"];
$affiliation = strtoupper($_POST["affiliation"]);
$sessionID = $_POST["sessionID"];

//Some simple checks
// Name validity checks
if (!is_string($name)) $name = "Invalid Name";
if (strlen($name) > 32) $name = substr($name, 0, 32);

// Version
if (!is_string($version)) $version = "Invalid Version";
if (strlen($version) > 16) $version = substr($version, 0, 16);

// time Taken
if (!is_numeric($timeTaken)) $timeTaken = -1;

// first Action
if (!is_numeric($firstAction)) $firstAction = -1;

// totalClicks
if (!is_numeric($totalClicks)) $totalClicks = -1;

// Name validity checks
if (!is_string($jobtitle)) $jobtitle = "Invalid Name";
if (strlen($jobtitle) > 50) $jobtitle = substr($jobtitle, 0, 50);

// Metrics
if (!is_string($metrics)) $metrics = "Invalid Metrics";
if (strlen($metrics) > 255) $metrics = "Truncated Metrics";

// MetricInits
if (!is_string($metricInits)) $metricInits = "Invalid Metric inits";
if (strlen($metricInits) > 255) $metricInits = "Truncated Metric inits";

$str = '[' . $name . '] [' . $jobtitle . '] - [' . $affiliation . '] - [' . $version . '] tt:[' . $timeTaken . '] fa:[' . $firstAction . '] tc:[' . $totalClicks . '] m:[' . $metrics . '] mi:[' . $metricInits . ']';
echo $str;

$conn = new mysqli($servername, $username, $password, $dbname);
if ($conn->connect_error) {
    die("Connection failed: " . $conn->connect_error);
}

$stmt = $conn->prepare("INSERT INTO analytics(name, jobtitle, affiliation, version, timetaken, firstaction, totalclicks, interactions, timestamps, sessionID) VALUES (?,?,?,?,?,?,?,?,?,?)");

$stmt->bind_param("ssssiiisss", $name, $jobtitle, $affiliation, $version, $timeTaken, $firstAction, $totalClicks, $metrics, $metricInits, $sessionID);

if (!$stmt->execute()) {
    echo "Execute failed: (" . $stmt->errno . ") " . $stmt->error;
}

$stmt->close();
$conn->close();

?>