<!DOCTYPE html>

<?php
		session_start();
		setcookie("sessionID", "", time() - (86400), "/");
       	setCookie("sessionID", hash('sha256', microtime()), time() + (86400), "/");
		
		if (isset($_POST["default"])) {
				$_SESSION["authenticationMethod"] = "default";
                setcookie("methodOne", "password", time() + (86400), "/");
				header("Location: /login/login.html");
		}

		if (isset($_POST["rsa"])) {
				$_SESSION["authenticationList"] = "rsa";
                setcookie("methodOne", "one-time-password", time() + (86400), "/");
				header("Location: /rsa/");
		}

		if (isset($_POST["yubikey"])) {
				$_SESSION["authenticationList"] = "yubikey";
                setcookie("methodOne", "yubikey", time() + (86400), "/");
				header("Location: /yubikey/login.html");
		}

		if (isset($_POST["facial"])) {
				$_SESSION["authenticationList"] = "facial";
                setcookie("methodOne", "facial", time() + (86400), "/");
				header("Location: /Facial_Authentication/html/facialScreen1.html");
		}

		if (isset($_POST["android"])) {
				$_SESSION["authenticationList"] = "android";
                setcookie("methodOne", "fingerprint", time() + (86400), "/");
				header("Location: /fingerprint/");
		}
?>

<html lang="en" xmlns="http://www.w3.org/1999/xhtml" class="ui-mobile">
		<head>
				<title>Caterpillar Effect Authentication</title>
				<meta http-equiv="Content-Type" content="text/html; charset=UTF-8">
				<!-- Define the initial scale to 100% and don't let the user zoom out any further. -->
				<meta name="viewport" content="initial-scale=1.0, minimum-scale=1.0">
				<!-- Specify that Internet Explorer should run in standards mode. -->
				<meta http-equiv="X-UA-Compatible" content="IE=Edge">
		
		
				<link rel="stylesheet" href="/assets/jquery.mobile-1.3.1.min.css">
				<link rel="stylesheet" href="/assets/main.css">
				<link rel="stylesheet" href="/assets/header.css">
        </head>

        <body class="ui-mobile-viewport ui-overlay-c" style="background: #ffffff">
				<div id="container" class="page-background ui-page ui-body-c ui-page-active" data-role="page" data-url="container" tabindex="0" style="min-height: 394px;">
						
						<div id="container-header" data-role="header" class="header-bar ui-header ui-bar-a" role="banner">
								<div class="brand-big-logo"></div>
								<div class="brand-small-logo"></div>
								<div class="cws-big-logo" style="margin-left: -150px;">Authentication Service Workbench</div>
								<div class="cws-small-logo">ASW</div>
						</div>
						
						<div id="header-graphic" class="header-graphic"></div>
				
						<div id="content" data-role="content" class="main-page-container ui-content" role="main">
								<div class="main-content">
										<div class="main-content-bar">
												<div class="main-content-box">
														<div class="rsa light">
																<p align="center">Select an authentication system to test below.</p>
																</br>
																<table class="list_of_auth">
																		<form method="post" action="./list.php">
																				<input type="submit" name="default" value="Default Login" style="width: 80%;"> <br /> </br>
																				<input type="submit" name="rsa" value="One-Time Password" style="width: 80%;"> <br /> </br>
																				<input type="submit" name="yubikey" value="Yubikey" style="width: 80%;"> <br /> </br>
																				<input type="submit" name="facial" value="Facial Authentication" style="width: 80%;"> <br /> </br>
																				<input type="submit" name="android" value="Android Application" style="width: 80%;"> <br /> </br>
																		</form>
																</table>
														</div>
												</div>
										</div>
								</div>
						</div>
				</div>
		</body>

</html>
