<?php
session_start();


//the COOKIE 'originalMethodsCompleted' will keep track of if the volunteer has completed the original 2 or 3 method flow
if (isset($_COOKIE['originalMethodsCompleted']) || !isset($_SESSION["methodTwo"]) || ($_SESSION["methodTwo"] == "-1")) {

    // a method must have been clicked from list.php
    header("Location: ../surveys/web_survey.html");

} else {

    // request came from one of the methods in the 2 or 3 method flow

    // the SESSION variable 'methodsUsed' will keep track of how many authentication methods the volunteer has taken out
    // of the original 2 or 3 method flow
    if (empty($_SESSION["methodsUsed"]) || !isset($_SESSION["methodsUsed"])) {
        $_SESSION["methodsUsed"] = 0;
    }


    if (($_SESSION["methodsUsed"] == 2 && $_SESSION["methodThree"] == -1) || ($_SESSION["methodsUsed"] == 3)) {
        //	go to the survey page

        setcookie("originalMethodsCompleted", "true", time() + (86400), "/");
        header("Location: ../surveys/web_survey.html");

    } else {
        //	go to an authentication method

        $_SESSION["methodsUsed"] = ($_SESSION["methodsUsed"] + 1);


        if ($_SESSION["methodsUsed"] == 1) {
            // go to the page for the first authentication method that was predetermined
            header("Location: " . $_SESSION["methodOne"]);
        } else if ($_SESSION["methodsUsed"] == 2) {
            // go to the page for the first authentication method that was predetermined
            header("Location: " . $_SESSION["methodTwo"]);
        } else {
            // go to the page for the first authentication method that was predetermined
            header("Location: " . $_SESSION["methodThree"]);
        }

    }

}

?>
