<?php

session_destroy();
session_unset();
$_SESSION = [];


session_start();
session_unset();
$_SESSION = [];

//setcookie("methodsUsed", "", time() - 3600);
//setcookie("methodOne", "", time() - 3600);
//setcookie("methodTwo", "", time() - 3600);
//setcookie("surveysTaken", "", time() - 3600);


?>


<html lang="en" xmlns="http://www.w3.org/1999/xhtml" class="ui-mobile">

<head>
    <title>Caterpillar Effect Authentication</title>
    <meta http-equiv="Content-Type" content="text/html; charset=UTF-8">
    <!-- Define the initial scale to 100% and don't let the user zoom out any further. -->
    <meta name="viewport" content="initial-scale=1.0, minimum-scale=1.0">
    <!-- Specify that Internet Explorer should run in standards mode. -->
    <meta http-equiv="X-UA-Compatible" content="IE=Edge">

    <link rel="stylesheet" href="https://login.cat.com/CwsLogin/Resources/style/jquery.mobile-1.3.1.min.css">
    <link rel="stylesheet" href="https://login.cat.com/CwsLogin/Resources/style/common-styles.css">
    <link rel="stylesheet"
          href="https://login.cat.com/CwsLogin/Resources/style/Default/CSS/login.css?version=cps-20170908131231"
          type="text/css">
    <!-- <script src="https://login.cat.com/CwsLogin/Resources/scripts/jquery-1.11.3.min.js"></script> -->
    <!-- <script src="https://login.cat.com/CwsLogin/Resources/scripts/login.js?version=2.0"></script> -->
    <!-- <script src="https://login.cat.com/CwsLogin/Resources/scripts/jquery.mobile-1.3.1.min.js"></script> -->

    <script src="./validateForm.js"></script>


</head>

<body class="ui-mobile-viewport ui-overlay-c" style="background: #ffffff">
<div id="container" class="page-background ui-page ui-body-c ui-page-active" data-role="page" data-url="container"
     tabindex="0" style="min-height: 394px;">
    <div id="container-header" data-role="header" class="header-bar ui-header ui-bar-a" role="banner">
        <div class="brand-big-logo"></div>
        <div class="brand-small-logo"></div>
        <div class="cws-big-logo" style="margin-left: -150px;">Authentication Service Workbench</div>
        <div class="cws-small-logo">ASW</div>
    </div>


    <div id="header-graphic" class="header-graphic"></div>

    <div id="content" data-role="content" class="main-page-container ui-content" role="main">
        <div class="main-content">
            <div class="main-content-bar">
                <div class="main-content-box">
                    <br/>
                    <br/>
                    <br/>

                    <form action="https://vestigial.cs.umd.edu/setup/randomMethod.php" method="post">
                        <!--<form action="../setup/randomMethod.php" method="post">-->

                        <div class="left"><strong>Job Title: </strong></div>
                        <div class="right"><input type="text" id="jobTitle" name="firstName" class="registration"
                                                  required/></div>

                        <br/>
                        <br/>

                        <div class="left"><strong>Create Username: </strong></div>
                        <div class="right"><input type="text" id="userName" name="lastName" class="registration"
                                                  required/></div>

                        <br/>
                        <br/>

                        <div class="left"><strong>Create Password: </strong></div>
                        <div class="right"><input type="password" id="password" name="password" class="registration"
                                                  required/></div>

                        <br/>
                        <br/>

                        <div class="left"><strong>Retype Password: </strong></div>
                        <div class="right"><input type="password" id="retypePassword" name="retypePassword"
                                                  class="registration" required/></div>

                        <br/>
                        <br/>

                        <div class="left"><strong>Create PIN: </strong></div>
                        <div class="right"><input type="text" id="pin" name="lastName" class="registration" required/>
                        </div>

                        <br/>
                        <br/>

                        <div class="left"><strong>Retype PIN: </strong></div>
                        <div class="right"><input type="text" id="retypePin" name="lastName" class="registration"
                                                  required/></div>

                        <br/>
                        <br/>

                        <table>
                            <tr>
                                <td rowspan='2'><strong>Do you have a Yubikey?</strong></td>
                                <td>Yes<input type="radio" name="yubikey" value="yes" required/>&nbsp;</td>
                            </tr>
                            <tr>
                                <td>No<input type="radio" name="yubikey" value="no" required/>&nbsp;</td>
                            </tr>

                        </table>

                        <!--<strong>Do you have a Yubikey?</strong><br />
                        Yes<input type="radio" name="yubikey" value="yes" />&nbsp;
                        No<input type="radio" name="yubikey" value="no" />&nbsp;-->

                        <br/>
                        <br/>

                        <div class="submit"><input type="submit" value="Register" class="registration"/></div>

                    </form>
                </div>
            </div>
        </div>
    </div>
</div>

</body>
<style>

    .table {
        margin-left: auto;
        margin-right: auto;
    }

    .submit {
        text-align: center;
    }

    .left {
        width: 30%;
        float: left;
        text-align: right;
    }

    .right {
        width: 65%;
        margin-left: 10px;
        float: left;
    }

    .registration {
        text-align: center;
    }

    .rsa {
        text-align: center;
        max-width: 500px;
        padding: 40px;
        margin: 20px auto 20px;
        position: relative;
    }

    .rsa:after {
        content: '';
        position: absolute;
        width: 400px;
        height: 1px;
        border-radius: 100%;
        left: 50%;
        margin-left: -200px;
        bottom: 2px;
        z-index: -1;
    }

    .rsa .display {
        text-align: center;
        padding: 20px 0px 20px;
        border-radius: 6px;
        position: relative;
        height: 54px;
    }

    .rsa.light {
        background-color: #f3f3f3;
        color: #272e38;
    }

    .rsa.light:after {
        box-shadow: 0 4px 10px rgba(0, 0, 0, 0.15);
    }

    .rsa.light .display {
        background-color: #dddddd;
        box-shadow: 0 1px 1px rgba(0, 0, 0, 0.08) inset, 0 1px 1px #fafafa;
    }
</style>
<script>
    //<!-- These cookie functions were sourced from W3: https://www.w3schools.com/js/js_cookies.asp -->
    function setCookie(cname, cvalue, exdays) {

        var d = new Date();
        d.setTime(d.getTime() + (exdays * 24 * 60 * 60 * 1000));
        var expires = "expires=" + d.toUTCString();
        document.cookie = cname + "=" + cvalue + ";" + expires + ";path=/";


        // For testing purposes
        //var test = cname + "=" + cvalue + ";" + expires + ";path=/";
        //alert(test);

    }

    function getCookie(cname) {
        var name = cname + "=";
        var ca = document.cookie.split(';');
        for (var i = 0; i < ca.length; i++) {
            var c = ca[i];
            while (c.charAt(0) == ' ') {
                c = c.substring(1);
            }
            if (c.indexOf(name) == 0) {
                return c.substring(name.length, c.length);
            }
        }

        return "";
    }

    function checkCookies() {
        //var rsaCookie = getCookie("rsaKey");
        //if (rsaCookie != "") {
        //	document.getElementById("rsaPin").value = rsaCookie;
        //} else {
        //	user = prompt("Please enter your name:", "");
        //	if (user != "" && user != null) {
        //		setCookie("username", user, 365);
        //	}
        //}
    }

    checkCookies();
</script>

</html>
