<html class="ui-mobile">
<head>
    <title>Web Authentication Survey</title>
    <!-- Sets up visual attributes. -->
    <meta http-equiv="Content-Type" content="text/html; charset=UTF-8">
    <meta name="viewport" content="initial-scale=1.0, minimum-scale=1.0">
    <meta http-equiv="X-UA-Compatible" content="IE=Edge">
    <link rel="stylesheet" href="/assets/jquery.mobile-1.3.1.min.css">
    <link rel="stylesheet" href="/assets/main.css">
    <link rel="stylesheet" href="/assets/header.css">
    <script src="/assets/jquery-1.11.3.min.js"></script>
    <script src="/assets/jquery.mobile-1.3.1.js"></script>
</head>
<body class="ui-mobile-viewport ui-overlay-c">
<!-- Container for banners and header. -->
<div id="container" class="page-background ui-page ui-body-c ui-page-active" data-role="page" data-url="container"
     tabindex="0" style="min-height: 394px;">
    <div id="container-header" data-role="header" class="header-bar ui-header ui-bar-a" role="banner">
        <div class="brand-big-logo"></div>
        <div class="brand-small-logo"></div>
        <div class="cws-big-logo">Web Authentication Survey</div>
        <div class="cws-small-logo">Web Survey</div>
        <div class="heading-button-container">
        </div>
        <!-- Main content is here. -->
        <div id="header-graphic" class="header-graphic"></div>
        <div id="content" data-role="content" class="main-page-container ui-content" role="main">
            <div class="main-content">
                <div class="main-content-bar">
                    <div class="main-content-box">
                        <h2 style="text-align: center">Thanks for your feedback!</h2>
                        <!-- PHP script to insert into DB -->
                        <?php

                        $conn = new mysqli("localhost", "user1", "#user@passWord@58", "surveys");
                        if ($conn->connect_error) {
                            die("Connection failed: " . $conn->connect_error);
                        }

                        # checking if methodOne data is present
                        if ($_COOKIE['methodOne'] != "-1") {
                            $stmt = $conn->prepare("INSERT INTO survey (id, type, ease, experience, recommend) VALUES (?,?,?,?,?)");
                            $stmt->bind_param("ssdds", $_COOKIE['sessionID'], $_COOKIE['methodOne'], $_POST['type1_ease'], $_POST['type1_exp'], $_POST['type1_rec']);
                            $stmt->execute();
                            $stmt->close();
                        }

                        # checking if methodTwo data is present
                        if ($_COOKIE['methodTwo'] != "-1") {
                            $stmt = $conn->prepare("INSERT INTO survey (id, type, ease, experience, recommend) VALUES (?,?,?,?,?)");
                            $stmt->bind_param("ssdds", $_COOKIE['sessionID'], $_COOKIE['methodTwo'], $_POST['type2_ease'], $_POST['type2_exp'], $_POST['type2_rec']);
                            $stmt->execute();
                            $stmt->close();
                        }

                        # checking if methodThree data is present
                        if ($_COOKIE['methodThree'] != "-1") {
                            $stmt = $conn->prepare("INSERT INTO survey (id, type, ease, experience, recommend) VALUES (?,?,?,?,?)");
                            $stmt->bind_param("ssdds", $_COOKIE['sessionID'], $_COOKIE['methodThree'], $_POST['type3_ease'], $_POST['type3_exp'], $_POST['type3_rec']);
                            $stmt->execute();
                            $stmt->close();
                        }

                        # checking if comments were entered
                        if ($_POST['comment'] != "") {
                            $stmt = $conn->prepare("INSERT INTO comments (comment) VALUES (?)");
                            $stmt->bind_param("s", $_POST['comment']);
                            $stmt->execute();
                            $stmt->close();
                        }

                        # checking if email data entered
                        if ($_POST['email'] != "") {
                            $stmt = $conn->prepare("INSERT INTO email (email_address) VALUES (?)");
                            $stmt->bind_param("s", $_POST['email']);
                            $stmt->execute();
                            $stmt->close();
                        }

                        $conn->close();

                        //session_unset();
                        $_SESSION["singleSurveyTaken"] = "true";
                        setcookie("methodOne", "-1", time() + (86400), "/");
                        setcookie("methodTwo", "-1", time() + (86400), "/");
                        setcookie("methodThree", "-1", time() + (86400), "/");
                        header("Location: ../setup/endSurveyPage.html");

                        ?>
                    </div>
                </div>
            </div>
        </div>